Bug 3301 - [UPDATE REQUEST] [UPSTREAM UPDATE] sssd
: [UPDATE REQUEST] [UPSTREAM UPDATE] sssd
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-02 19:03 MSK by Andrew Lukoshko
Modified: 2014-01-10 10:29 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2013-12-02 19:03:52 MSK
Previously, RPM did not reload its labels database in a single transaction.
Consequently, when sssd was upgraded and pulled in a new selinux-policy in a
single transaction, the new context added by the selinux-policy-targeted utility
was not used for the files in the /var/lib/sss/mc/ directory. To fix this bug,
sssd has been set to run restorecon in the %post scriptlet until RPM can
properly handle it, and thus correct context is set.

http://rhn.redhat.com/errata/RHBA-2013-1742.html

https://abf.rosalinux.ru/build_lists/1451993
https://abf.rosalinux.ru/build_lists/1451994
Comment 1 Vladimir Potapov 2013-12-10 15:40:17 MSK
sssd-1.9.2-82.11.res6
**************************** RHEL Advisory *************************
Previously, RPM did not reload its labels database in a single transaction.
Consequently, when sssd was upgraded and pulled in a new selinux-policy in a
single transaction, the new context added by the selinux-policy-targeted utility
was not used for the files in the /var/lib/sss/mc/ directory. To fix this bug,
sssd has been set to run restorecon in the %post scriptlet until RPM can
properly handle it, and thus correct context is set.
*********************************************************************
QA Verified